Skip to content

Get Legal Hold Status (Object)

GET
/api/v1/storage/buckets/{bucket_name}/legalhold/object/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/legalhold/object/?object_name=<OBJECT_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&version_id=<VERSION_ID>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

This API allows users to check the legal hold status of an object.

bucket_name
required
string

Bucket Name

object_name
required
string

Object Name with Directory.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

version_id
required
string

Example

740d0a130b0745ebb036bb866c87f847

Version ID

Response showing the current legal hold status of a bucket or object

Media typeapplication/json
object
code
integer
data
object
legal_hold_status
required
boolean
errors
object
message
string

Example

{
"code": 200,
"data": {
"legal_hold_status": false
},
"errors": {},
"message": "Success"
}